GridFire v0.7.1_rc2 General Purpose Nuclear Network

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
gridfire::engine::GraphEngine::AtomicReverseRate Class Referencefinal
Inheritance diagram for gridfire::engine::GraphEngine::AtomicReverseRate:
[legend]
Collaboration diagram for gridfire::engine::GraphEngine::AtomicReverseRate:
[legend]

## Public Member Functions
| AtomicReverseRate (const reaction::Reaction &reaction, const GraphEngine &engine)
bool | forward (size_t p, size_t q, const CppAD::vector< bool > &vx, CppAD::vector< bool > &vy, const CppAD::vector< double > &tx, CppAD::vector< double > &ty) override
bool | reverse (size_t q, const CppAD::vector< double > &tx, const CppAD::vector< double > &ty, CppAD::vector< double > &px, const CppAD::vector< double > &py) override
bool | for_sparse_jac (size_t q, const CppAD::vector< std::set< size_t > > &r, CppAD::vector< std::set< size_t > > &s) override
bool | rev_sparse_jac (size_t q, const CppAD::vector< std::set< size_t > > &rt, CppAD::vector< std::set< size_t > > &st) override
bool | for_sparse_jac (size_t q, const CppAD::vector< bool > &r, CppAD::vector< bool > &s, const CppAD::vector< double > &x) override
bool | rev_sparse_jac (size_t q, const CppAD::vector< bool > &rt, CppAD::vector< bool > &st, const CppAD::vector< double > &x) override

## Private Attributes
const reaction::Reaction & | m_reaction
const GraphEngine & | m_engine

## Constructor & Destructor Documentation

## ◆ AtomicReverseRate()

gridfire::engine::GraphEngine::AtomicReverseRate::AtomicReverseRate | ( | const reaction::Reaction & | reaction,
|  | const GraphEngine & | engine
| ) |  |
| inline

## Member Function Documentation

## ◆ for_sparse_jac() [1/2]

bool gridfire::engine::GraphEngine::AtomicReverseRate::for_sparse_jac | ( | size_t | q,
|  | const CppAD::vector< bool > & | r,
|  | CppAD::vector< bool > & | s,
|  | const CppAD::vector< double > & | x
| ) |  |
| override

## ◆ for_sparse_jac() [2/2]

bool gridfire::engine::GraphEngine::AtomicReverseRate::for_sparse_jac | ( | size_t | q,
|  | const CppAD::vector< std::set< size_t > > & | r,
|  | CppAD::vector< std::set< size_t > > & | s
| ) |  |
| override

## ◆ forward()

bool gridfire::engine::GraphEngine::AtomicReverseRate::forward | ( | size_t | p,
|  | size_t | q,
|  | const CppAD::vector< bool > & | vx,
|  | CppAD::vector< bool > & | vy,
|  | const CppAD::vector< double > & | tx,
|  | CppAD::vector< double > & | ty
| ) |  |
| override

## ◆ rev_sparse_jac() [1/2]

bool gridfire::engine::GraphEngine::AtomicReverseRate::rev_sparse_jac | ( | size_t | q,
|  | const CppAD::vector< bool > & | rt,
|  | CppAD::vector< bool > & | st,
|  | const CppAD::vector< double > & | x
| ) |  |
| override

## ◆ rev_sparse_jac() [2/2]

bool gridfire::engine::GraphEngine::AtomicReverseRate::rev_sparse_jac | ( | size_t | q,
|  | const CppAD::vector< std::set< size_t > > & | rt,
|  | CppAD::vector< std::set< size_t > > & | st
| ) |  |
| override

## ◆ reverse()

bool gridfire::engine::GraphEngine::AtomicReverseRate::reverse | ( | size_t | q,
|  | const CppAD::vector< double > & | tx,
|  | const CppAD::vector< double > & | ty,
|  | CppAD::vector< double > & | px,
|  | const CppAD::vector< double > & | py
| ) |  |
| override

## Member Data Documentation

## ◆ m_engine

const GraphEngine& gridfire::engine::GraphEngine::AtomicReverseRate::m_engine
| private

## ◆ m_reaction

const reaction::Reaction& gridfire::engine::GraphEngine::AtomicReverseRate::m_reaction
| private

The documentation for this class was generated from the following files:

- src/include/gridfire/engine/engine_graph.h
- src/lib/engine/engine_graph.cpp